
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was QuotientConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../" ABSOLUTE)

####################################################################################

include(CMakeFindDependencyMacro)

find_dependency(Qt6Core)
if (Qt6Core_VERSION VERSION_GREATER_EQUAL 6.10)
    find_dependency(Qt6CorePrivate)
endif()
find_dependency(Qt6Gui)
find_dependency(Qt6Network)
find_dependency(Qt6Keychain)
find_dependency(Olm)
find_dependency(OpenSSL)
find_dependency(Qt6Sql)

if(NOT OFF AND Qt6Core_VERSION VERSION_GREATER_EQUAL 6.10)
    find_dependency(Qt6CorePrivate)
endif()

include("${CMAKE_CURRENT_LIST_DIR}/QuotientQt6Targets.cmake")

if (NOT QUOTIENT_FORCE_NAMESPACED_INCLUDES)
    get_target_property(_include_dir QuotientQt6 INTERFACE_INCLUDE_DIRECTORIES)
    list(APPEND _include_dir "${_include_dir}/Quotient")
    set_target_properties(QuotientQt6 PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${_include_dir}")
endif()
